<?session_start();
require('../valtiempoinact.php');
require("../conectar.php");	
include("libFormato.php");
$idmat=$_GET['idmat'];
$campo=$_GET['campo'];
$can=$_GET['cant'];
$sql="SELECT 
         m.idmatpro,
         m.foliomaterial,
		 m.idmaterial,
		 m.costounitario,
		 p.nomcomercial,
		 p.nomfiscal,
		 p.fvencimiento,
		 p.idproveedor
	  FROM material_proveedor as m
	  INNER JOIN proveedormat as p
	  ON p.foliomaterial=m.foliomaterial
	  WHERE m.idmaterial='$idmat' ORDER BY m.costounitario asc";
$eje=mysql_query($sql);
$totpro=mysql_num_rows($eje);
if($totpro!=0){
?>
<link rel="stylesheet" href="css/estilos.css" type="text/css">
<script type="text/javascript" src="js/aplicaciones.js"></script>
   <table class="dts">
     <tr class="categoriaB">
	   <td><b>No</b></td>
	   <td><b>Asignar</b></td>
	   <td><b>Nombre Comercial</b></td>
	   <td><b>Nombre Fiscal</b></td>
	   <td><b>Material</b></td>
	   <td><b>Unidad</b></td>
	   <td><b>Costo Unitario</b></td>
	 </tr>
<?
    $f=1;
	$d=1;
	while($mat=mysql_fetch_array($eje)){
	if($f==1){$f=2;}else{$f=1;}
	 $ejenommaterial=mysql_query($sqlnommat="SELECT 
	            descripcion,
				unidad
			 FROM material
			 WHERE idmaterial='$mat[idmaterial]'");
    $nombremat=mysql_fetch_array($ejenommaterial);	
    $total=	$mat['costounitario'] * $can;
?>
	<tr class="tr<?echo $f;?>">
	  <td align="center"><?echo $d;?></td>
	  <td><a href="javascript:window.opener.document.getElementById('costou<?echo$campo;?>').value='<?echo $mat[costounitario];?>';window.opener.document.getElementById('proveedor<?echo$campo;?>').value='<?echo$mat[nomcomercial];?>';window.opener.document.getElementById('total<?echo$campo;?>').value='<?echo $total;?>';window.opener.document.getElementById('idmatpro<?echo$campo;?>').value='<?echo$mat[idmatpro];?>';window.opener.document.getElementById('idprov<?echo$campo;?>').value='<?echo$mat[idproveedor];?>';window.opener.document.getElementById('total<?echo$campo;?>').focus(),window.close()">Asignar</a></td>
	  <td><?echo $mat['nomcomercial'];?></td>
	  <td align="center"><?echo $mat['nomfiscal'];?></td>
	  <td><?echo $nombremat['descripcion'];?></td>
	  <td><?echo $nombremat['unidad'];?></td>
	  <td align="center"><?echo $mat['costounitario'];?></td>	
     </tr>
 <?$d++;}
 }else{?>
  Deseas registrar un proveedor para este pedido? <a href="../regproveedor.php">Registrar</a> | <a href="javascript:window.close();">Salir</a>
 <?
 }
 ?>
</table>	